org.codehaus.groovy.runtime

## Class AbstractComparator<T>

- java.lang.Object
- - org.codehaus.groovy.runtime.AbstractComparator<T>

All Implemented Interfaces:
  java.util.Comparator<T>

    public abstract class AbstractComparator<T>
    extends java.lang.Object
    implements java.util.Comparator<T>

Author:
  Andres Almiray

### Constructor Summary

Constructors
Constructor and Description
`AbstractComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`compare, comparing, comparing, comparingDouble, comparingInt, comparingLong, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### AbstractComparator

    public AbstractComparator()

### Method Detail

#### equals

    public boolean equals(java.lang.Object obj)

Specified by:
  `equals` in interface `java.util.Comparator<T>`
Overrides:
  `equals` in class `java.lang.Object`